Subject: bug#25665: 26.0.50; [PATCH] Indicate prefix arg in minibuffer prompt for shell-command

From: Noam Postavsky <[email-masked]>
Date: Fri, 10 Feb 2017 11:19:20 -0500

On Fri, Feb 10, 2017 at 2:13 AM, Tino Calancha <[email-masked]> wrote:
>>> There are lots of commands in Emacs accepting a raw,
>>> numeric prefix etc.  If we change M-! prompt, we might
>>> also want to tune the prompt for all of them.  Do we want that?
>>
>>
>> IMO yes, if the difference can be summarized in the prompt concisely
>> enough.
>
> It might be a pain in the ass to follow such new policy:
> emacs -Q:
>   C-x b foo RET
>   aeiou
> I)
>     C-x C-s
> II)
>     C-u C-x C-s
> III)
>     C-u C-u C-x C-s
> IV)
>     C-u C-u C-u C-x C-s
>
> All have the same prompt:
> File to save in: ~/

I think this would fall under the case of too difficult to summarize
into a prompt concisely. Furthermore, C-x C-s does not usually prompt
at all so there is not much benefit anyway. But I would not object if
someone could come up with reasonably short and informative
modifications to the prompts.